package org.mbari.vdm;

import org.mbari.vdm.expd.ExpdLine;


public class VdmLineFactory {
    public static VdmLine makeNewVdmLine(String vdmClassName, String line){
        if(vdmClassName.equals("ExpdLine")){
            return new ExpdLine(line.split(", "));
        }else if(vdmClassName.equals("VarsLine")){
            return new VarsLine(line.split(", "));
        }else{
            throw new IllegalArgumentException("Unknown class name");
        }
    }
}
